
# --------------------------------------
#   neo_strip_board
#   65f6973f75482943canv
__canvas_id__ = '65f6973f75482943'
# __version__ = TODO: add this
# --------------------------------------
from floe import FP

from NeoPixel import NeoPixel
from ColorChase import ColorChase
from ESP32Core import ESP32Core
from HbtLed import HbtLed
from Rainbow import Rainbow
from CANBus import CANBus
from DigitalInput import DigitalInput
from Variable import Variable
from DigitalOutput import DigitalOutput
def setup(iris):
  CANBus(name='CANBus', pid=6545, rx=16, tx=4, adr=29, bus=0, baud=250000, rx_queue=25, terminal_debug=False, debug=False, active=True, bcast=False, iris=iris)
  ColorChase(name='ColorChase', pid=25758, dot_color=None, fill_color=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  DigitalInput(name='a', pid=29989, pin=21, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='b', pid=39132, pin=19, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='c', pid=10879, pin=15, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='function_button', pid=2276, pin=36, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalOutput(name='can_slp', pid=11397, pin=2, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  ESP32Core(name='ESP32Core', pid=6074, wifi=False, hbt_led=FP(50487), neo_status=FP(47403), function_button=FP(2276), bus=FP(6545), zorg=None, webserver=None, debug=False, active=True, bcast=False, iris=iris)
  HbtLed(name='HbtLed', pid=50487, pin=5, delay=1000, datatype="int", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name='neo1', pid=46829, pin=23, number_of_pixels=1, animation=FP(52598), delay=FP(57376), animations=[FP(25758), FP(29444)], datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name='neo2', pid=51338, pin=22, number_of_pixels=1, animation=FP(52598), delay=FP(57376), animations=[FP(25758), FP(29444)], datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name='neo_status', pid=47403, pin=17, number_of_pixels=1, animation=0, delay=200, animations=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  Rainbow(name='Rainbow', pid=29444, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  Variable(name='animation', pid=52598, state=0, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name='delay', pid=57376, state=200, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  iris.add_hots({})

